url_parse {xml2} | R Documentation

## Parse a url into its component pieces.

### Description

Parse a url into its component pieces.

### Usage

    url_parse(x)

### Arguments

`x` | A character vector of urls.

### Value

A dataframe with one row for each element of `x` and columns: scheme, server, port, user, path, query, fragment.

### Examples

    url_parse("http://had.co.nz/")
    url_parse("http://had.co.nz:1234/")
    url_parse("http://had.co.nz:1234/?a=1&b=2")
    url_parse("http://had.co.nz:1234/?a=1&b=2#def")

[Package xml2 version 1.0.0 Index]